<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyResources by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>
<?php
if(!function_exists('cal_list_item'))
{
	function cal_list_item($item, $that, $rest = TRUE)
	{
		$params = new JParameter(@$item->params);
		return sprintf('<li>%s %s %s %s</li>',
		($params->get('favorite') && $that->user->get('id') ? $item->favorite : NULL),  
		$item->ntitle, 
		(($params->get('item_author') && $item->user && $rest) ? '<span class="small">'.JText::_('Written By').': '.$item->user.'</span> ' : NULL),
		$item->edit ? $item->edit : NULL);
	}
}
if(!function_exists('cal_event_body'))
{
	function cal_event_body($item, $that)
	{
		$params = new JParameter(@$item->params);
		
		if($params->get('item_ctime'))
		{
			$d[] = '<span class="createdate">'.$params->get('ctime_name').' '.$item->ctime->toFormat($params->get('item_time_format')).'</span>';
		}
		if($params->get('item_extime') && $item->extime)
		{
			$d[] = '<span class="createdate">'.$params->get('extime_name').' '.$item->extime->toFormat($params->get('item_time_format')).'</span>';
		}
		if($d) $out[] = implode("<br />", $d);
		if($params->get('rating')){
			//$out[] = $item->rating;
			//$out[] = '<div style="clear:both"></div><br />';
		}
		
		$o = array();
		if($params->get('rating')) { $o[] = JText::_('Votes').': '.($item->votes ? $item->votes : 0);}
		if($params->get('comments')) { $o[] = JText::_('Comments').': '.($item->comments ? $item->comments : 0);}
		if($params->get('item_hits')) { $o[] = JText::_('Hits').': '.($item->hits ? $item->hits : 0);}
		if($params->get('favorite')) { $o[] = JText::_('Favorited').': '.($item->favorite_num ? $item->favorite_num : 0);}
		if(count($o)) $out[] = '<p><span class="small">'.implode(' | ', $o).'</span></p>';
		
		if(@$that->fields[$item->id])
		{
			$out[] = '<table class="contentpaneopen" width="100%">';
			$tab_close = false;
			foreach($that->fields[$item->id] AS $field)
			{
				//echo $q++;
				$fparam = new JParameter($field->params);
				if(!$fparam->get('tabled'))
				{
					if(!$tab_close) $out[] = "</table>";
					$tab_close = true;
				}
				else 
				{
					if($tab_close) $out[] = '<table class="contentpaneopen" style="clear:both" width="100%">';
					$tab_close = false;
				}
				$out[] = $that->getFieldValue($field, $item->user_id);
			}
			if(!$tab_close) $out[] =  "</table>";
		}
		//echo htmlspecialchars(implode("", $out));
		if($params->get('item_tag') && $item->tags)
		{
			//print_r($item->tags);
			$out[] = sprintf('<p><span class="small">%s: %s</span></p>', JText::_('Tags'), $item->tags);
		}
		$out = implode('', $out);
		//echo $out;
		$body = str_replace(array("\n", "\r", "\t"), '', $out);
		$body = preg_replace('/title=\"[^"]*\"/iU', "", $body);
		$body = str_replace('class="hasTip"', "", $body);
		$body = str_replace('"', "'", $body);
		$body = preg_replace("/>\s+</iU", "> <", $body);
		
		$tip = '<div id="MEcalendarTip'.$item->id.'" title="'.addslashes(htmlspecialchars($item->title, ENT_QUOTES, 'UTF-8')).'" style="display:none;">'.$body.'</div>';
		
		return $tip;
	}
}
if(!function_exists('generate_calendar'))
{
	function generate_calendar($cal_date, $day_name_length = 3, $first_day = 0, $_items, $class="calendar_big", $offset = 0, $that){
	    
		$year 	= date('Y', $cal_date);
	    $month 	= date('n', $cal_date);
	    $month 	= $month + $offset;
		
	    $first_of_month = gmmktime(0,0,0,$month,1,$year);
	
	    #remember that mktime will automatically correct if invalid dates are entered
	    # for instance, mktime(0,0,0,12,32,1997) will be the date for Jan 1, 1998
	    # this provides a built in "rounding" feature to generate_calendar()
	    
//	    $day_names = array(); #generate all the day names according to the current locale
//	    for($n=0,$t=(3+$first_day)*86400; $n<7; $n++,$t+=86400) #January 4, 1970 was a Sunday
//	        $day_names[$n] = (JString::ucfirst(gmstrftime('%A',$t))); #%A means full textual day name
	        
	    $day_names = array(
	    	'Monday',
			'Tuesday',
			'Wednesday',
			'Thursday',
			'Friday',
			'Saturday',
			'Sunday'
	    );
	    
	    if (!$first_day)
	    {
	    	// First day is Sunday
	    	array_pop($day_names);
	    	array_unshift($day_names, 'Sunday');
	    }
	    
	    foreach ($day_names as $k => $v)
	    	$day_names[$k] = JText::_($v);
	        
	        
	    list($month, $year, $month_name, $weekday) = explode(',',gmstrftime('%m,%Y,%B,%w',$first_of_month));
	    
	    
	    $month_name = cal_get_month_name($month);
	    
	    $weekday = ($weekday + 7 - $first_day) % 7; #adjust for $first_day
	    $title   = htmlentities(JString::ucfirst($month_name), ENT_QUOTES, 'UTF-8').'&nbsp;'.$year;  #note that some locales don't capitalize month and day names
	
	    if($class !== "calendar_big")
	    {
	    	$onclick  = 'document.adminForm.cal_view.value=3;document.adminForm.cal_date.value='.mktime(0,0,0, $month, date('d', $cal_date), date('Y', $cal_date));
			$onclick .= ';document.adminForm.submit();';
	    	$title = "<a href=\"javascript:void(0);\" onclick=\"{$onclick}\">{$title}</a>"; 
	    }
	    $calendar = '<table class="'.$class.'" border="0" cellpading="0" cellspacing="0">'."\n".
	        ($class !== "calendar_big" ? '<caption class="calendar-month">'.$title.'</caption>' : NULL ).
	    	"\n<tr class=\"sectiontableheader\" align=\"center\">";
	
	    $row = 0;
	    if($day_name_length){ #if the day names should be shown ($day_name_length > 0)
	        #if day_name_length is >3, the full name of the day will be printed
	        foreach($day_names as $d)
	            $calendar .= '<th class="sectiontableheader" abbr="'.htmlentities($d, ENT_QUOTES, 'UTF-8').'">'.htmlentities($day_name_length < 4 ? JString::substr($d,0,$day_name_length) : $d, ENT_QUOTES, 'UTF-8').'</th>';
	        $calendar .= "</tr>\n<tr class=\"sectiontableentry".($row+1)."\">";
	    }
	   	if ($weekday > 0) $calendar .= '<td colspan="'.$weekday.'">&nbsp;</td>'; #initial 'empty' days
	    for ($day=1,$days_in_month=gmdate('t',$first_of_month); $day <= $days_in_month; $day++,$weekday++){
	    	if($weekday == 7){
	            $row = 1 - $row;
	    		$weekday   = 0; #start a new week
	            $calendar .= "</tr>\n<tr valign=\"middle\" class=\"sectiontableentry".($row+1)."\">";
		    }
		    
	        $day_of_the_year 	= date('z', mktime(0,0,0,$month,$day,$year));
	        $today 				= date('z', mktime(0,0,0,date('m'),date('d'),date('Y')));
	        $day_title 			= $day;
	        
	        $date = new JDate(mktime(0,0,0,$month,$day,$year));
	        if(isset($_items[$year][$day_of_the_year]))
	        {
				$c = 0; $hint = array(); $params = new JParameter(@$item->params);
				if($that->params->get('client') == 'module')
				{
					//$link = 'index.php?option=com_resource&view=list&category_id='.$that->section->id.'&Itemid='.MEUrl::itemid(NULL, $that->section->id);
					//$link = MEUrl::linkAdditions($link);
					$link = MEUrl::link_list($that->section->id);
					$link .= '&cal_view=2&cal_date='.$date->toUnix();
					$link = MERoute::_($link);
					$hint[] = '<a class="readon" href="'.$link.'">'.JText::_('This week events').'</a> ';
				}
				else
				{
					$link = 'document.adminForm.cal_view.value=2; document.adminForm.cal_date.value='.$date->toUnix().'; document.adminForm.submit();';
					$hint[] = '<a class="readon" href="javascript:void(0);" onclick="'.$link.'">'.JText::_('This week events').'</a> ';
				}
				
				if(count($_items[$year][$day_of_the_year]) > $that->params->get('tpl_cal_limit'))
				{
					if($that->params->get('client') == 'module')
					{
						//$link = 'index.php?option=com_resource&view=list&category_id='.$that->section->id.'&Itemid='.MEUrl::itemid(NULL, $that->section->id);
						//$link = MEUrl::linkAdditions($link);
						$link = MEUrl::link_list($that->section->id);
						$link .= '&cal_view=1&cal_date='.$date->toUnix();
						$link = MERoute::_($link);
						$hint[] = '<a class="readon" href="'.$link.'">'.JText::_('This day events').'</a> ';
					}
					else
					{
						$link = 'document.adminForm.cal_view.value=1; document.adminForm.cal_date.value='.$date->toUnix().'; document.adminForm.submit();';
						$hint[] = ' <a class="readon" href="javascript:void(0);" onclick="'.$link.'">'.JText::_('This day events').'</a> ';
					}
				}
				
				$hint[] = '<div style="clear:both"></div>';
				$hint[] = '<ul>';
				foreach($_items[$year][$day_of_the_year] AS $item)
				{
					$c++;
					if($c > $that->params->get('tpl_cal_limit')) break;
					$hint[] = cal_list_item($item, $that, FALSE);
					
				}
				$hint[] = '</ul>';
				
				$body = str_replace(array("\n", "\r", "\t", 'class="hasTip"'), '', implode(" ", $hint));
				$body = str_replace('"', "'", $body);
				$body = preg_replace("/>\s+</iU", "> <", $body);
				
				$id = uniqid('calendar');
				
				$tip = '<div id="MEcalendarTip'.$id.'" title="'.addslashes(htmlspecialchars($date->toFormat($params->get('item_time_format', '%A, %d %B %Y')), ENT_QUOTES, 'UTF-8')).'" style="display:none;">'.$body.'</div>';
				echo $tip;
				
				if($that->params->get('client') == 'module')
				{
					//$link = 'index.php?option=com_resource&view=list&category_id='.$that->section->id.'&Itemid='.MEUrl::itemid(NULL, $that->section->id);
					//$link = MEUrl::linkAdditions($link);
					$link = MEUrl::link_list($that->section->id);
					$link .= '&cal_view=1&cal_date='.$date->toUnix();
					$link = JRoute::_($link);
					$day_title = "<a class=\"hasTip2\" href=\"{$link}\" rel=\"$id\">{$day}</a>";			
					//$day_title = "<a class=\"hasTip\" href=\"javascript:void(0);\" {$tip}>{$day}</a>";			
				}
				else
				{
		        	$onclick  = 'document.adminForm.cal_view.value=1;document.adminForm.cal_date.value='.mktime(0,0,0, $month, $day, date('Y', $cal_date));
					$onclick .= ';document.adminForm.submit();';
			    	$day_title  = "<a class=\"hasTip2\" href=\"javascript:void(0);\" onclick=\"{$onclick}\" rel=\"$id\">{$day}</a>";
				} 
	        }
	        $calendar .= "<td align=\"center\"".(isset($_items[$year][$day_of_the_year]) ? ' class="calendar_has_items" ' : NULL ).($day_of_the_year == $today ? ' id="calendar_today" ': NULL).">{$day_title}</td>";
	    }
	    if($weekday != 7) $calendar .= '<td colspan="'.(7-$weekday).'">&nbsp;</td>'; #remaining "empty" days
	
	    return $calendar."</tr>\n</table>\n";
	}
}
if(!function_exists('cal_display_title'))
{
	function cal_display_title($title, $client)
	{
		$open = '<h2 class="contentheading">'; $close = '</h2>';
		if($client == 'module')
		{
			$open = '<h3>'; $close = '</h3>';
		}
		return $open.$title.$close;
	}
}

if(!function_exists('cal_get_month_name'))
{
	function cal_get_month_name($month)
	{
		static $months = array(
			'January',
			'February',
			'March',
			'April',
			'May',
			'June',
			'July',
			'August',
			'September',
			'October',
			'Novermber',
			'December'
	    );
	    
	    return JText::_($months[intval($month) - 1]);
	}
}

?>
<?php 
	$document = & JFactory::getDocument();
	$document->addScriptDeclaration(	
		'window.addEvent("domready", function() {
		 		
				var JTooltips = new Tips($$(".hasTip2"), { maxTitleChars: 50, hideDelay: '.(int)$this->params->get('tpl_cal_hint_delay',1500).', className: "mytips", fixed: true, offsets: {x: 23, y: 23}});
			
				JTooltips.addEvent("onHide", function( tip ) {
					if (tip.forceVisible)
						JTooltips.show();
				});
				
				$$(".hasTip2").each(function( e ) {
					if ($("MEcalendarTip" + e.rel))
					{
				   		e.$tmp.myText 	= $("MEcalendarTip" + e.rel).innerHTML;
				   		e.$tmp.myTitle 	= $("MEcalendarTip" + e.rel).getAttribute("title");
				   		
				   		JTooltips.addEvent("onShow", function(tip) {
				   			tip.addEvent("mouseenter", function() {
				   				tip.forceVisible = true;
				   			});
				   			
				   			tip.addEvent("mouseleave", function() {
				   				tip.forceVisible = false;
				   				JTooltips.end();
				   			});
				   			
				   		});
				   	}
				});
			
		});
		'
	);
	$document->addStyleSheet(JURI::root().'components/com_resource/views/list/tmpl/default_subtmpl_calendar.css');
?>

<?php
global $mainframe;
$first_day = $this->params->get('tpl_cal_first_day');
$option = JRequest::getVar('option','com_resource');
$catid = JRequest::getInt('category_id', @$this->category->id);
$Itemid = JRequest::getInt('Itemid');

$_items = array();
foreach ($this->items AS $item)
	$_items[date('Y',$item->ctime->toUnix())][date('z', $item->ctime->toUnix())][] = $item;
	
switch ($this->params->get('filters_mode', 1))
{
	case 3:
	case 1:
		$view_name  = "{$option}.calendar.cal_view.{$Itemid}.{$catid}";
		$date_name  = "{$option}.calendar.date_view.{$Itemid}.{$catid}";
		break;
	case 2:
		$view_name  = "{$option}.calendar.cal_view.{$Itemid}";
		$date_name  = "{$option}.calendar.date_view.{$Itemid}";
		break;
}
$cur_view = $mainframe->getUserStateFromRequest($view_name, 'cal_view',  $this->params->get('tpl_cal_view', 3), 'int');
//echo $cur_view;
if(JRequest::getInt('cal_date')) {
	$cal_date = JRequest::getInt('cal_date', time());
	$mainframe->setUserState($date_name, $cal_date);
}
else
	$cal_date = $mainframe->getUserState($date_name);



if(!$cal_date || $cal_date == 1) $cal_date = time();


switch ($cur_view)
{
	case 1:
		$click_prev  = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date), date('d', $cal_date) - 1, date('Y', $cal_date));
		$click_prev .= ';document.adminForm.submit();';
		$click_next = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date), date('d', $cal_date) + 1, date('Y', $cal_date));
		$click_next .= ';document.adminForm.submit();';
		break;
	case 2:
		$click_prev  = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date), date('d', $cal_date) - 7, date('Y', $cal_date));
		$click_prev .= ';document.adminForm.submit();';
		$click_next = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date), date('d', $cal_date) + 7, date('Y', $cal_date));
		$click_next .= ';document.adminForm.submit();';
		break;
	case 3:
		$click_prev  = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) - 1, date('d', $cal_date), date('Y', $cal_date));
		$click_prev .= ';document.adminForm.submit();';
		$click_next = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) + 1, date('d', $cal_date), date('Y', $cal_date));
		$click_next .= ';document.adminForm.submit();';
		break;
	case 4:
		$click_prev  = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) - 2, date('d', $cal_date), date('Y', $cal_date));
		$click_prev .= ';document.adminForm.submit();';
		$click_next = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) + 2, date('d', $cal_date), date('Y', $cal_date));
		$click_next .= ';document.adminForm.submit();';
		break;
	case 5:
		$click_prev  = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) - 4, date('d', $cal_date), date('Y', $cal_date));
		$click_prev .= ';document.adminForm.submit();';
		$click_next = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) + 4, date('d', $cal_date), date('Y', $cal_date));
		$click_next .= ';document.adminForm.submit();';
		break;
	case 6:
		$click_prev  = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) - 6, date('d', $cal_date), date('Y', $cal_date));
		$click_prev .= ';document.adminForm.submit();';
		$click_next = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) + 6, date('d', $cal_date), date('Y', $cal_date));
		$click_next .= ';document.adminForm.submit();';
		break;
	case 7:
		$click_prev  = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) - 3, date('d', $cal_date), date('Y', $cal_date));
		$click_prev .= ';document.adminForm.submit();';
		$click_next = 'document.adminForm.cal_date.value='.mktime(0,0,0,date('n', $cal_date) + 3, date('d', $cal_date), date('Y', $cal_date));
		$click_next .= ';document.adminForm.submit();';
		break;
}
?>
<br /><table cellpadding="5" cellspacing="0" border="0" width="100%">
	<?php if($this->params->get('client') != 'module'): ?>
	<tr>
		<td align="left"><img onclick="<?php echo $click_prev ?>" style="cursor: pointer" src="<?php echo JURI::root(); ?>components/com_resource/images/back.png" /></td>
		<td align="center">
		<?php if($this->params->get('client') != 'module'): ?>
			<?php if ($this->params->get('tpl_cal_view_day')) : ?>
			<button class="button" href="javascript:void(0);" onclick="document.adminForm.cal_view.value=1; document.adminForm.submit();"><?php echo JText::_('Day') ?></button>
			<?php endif; ?>  
			<?php if ($this->params->get('tpl_cal_view_week')) : ?>
			<button class="button" href="javascript:void(0);" onclick="document.adminForm.cal_view.value=2; document.adminForm.submit();"><?php echo JText::_('Week') ?></button>
			<?php endif; ?> 
			<?php if ($this->params->get('tpl_cal_view_month')) : ?>
			<button class="button" href="javascript:void(0);" onclick="document.adminForm.cal_view.value=3; document.adminForm.submit();"><?php echo JText::_('Month') ?></button>
			<?php endif; ?>
			<?php if ($this->params->get('tpl_cal_view_month2')) : ?>
			<button class="button" href="javascript:void(0);" onclick="document.adminForm.cal_view.value=4; document.adminForm.submit();"><?php echo JText::_('2 Months') ?></button>
			<?php endif; ?>
			<?php if ($this->params->get('tpl_cal_view_month3')) : ?> 
			<button class="button" href="javascript:void(0);" onclick="document.adminForm.cal_view.value=7; document.adminForm.submit();"><?php echo JText::_('3 Months') ?></button>
			<?php endif; ?>
			<?php if ($this->params->get('tpl_cal_view_month4')) : ?> 
			<button class="button" href="javascript:void(0);" onclick="document.adminForm.cal_view.value=5; document.adminForm.submit();"><?php echo JText::_('4 Months') ?></button>
			<?php endif; ?>
			<?php if ($this->params->get('tpl_cal_view_month6')) : ?>
			<button class="button" href="javascript:void(0);" onclick="document.adminForm.cal_view.value=6; document.adminForm.submit();"><?php echo JText::_('6 Months') ?></button>
			<?php endif; ?> 
		<?php endif;?>
		</td>
		<td align="right"><img onclick="<?php echo $click_next ?>" style="cursor: pointer" src="<?php echo JURI::root(); ?>components/com_resource/images/next.png" /></td>
	</tr>
	<?php endif;?>
	<tr>
		<td colspan="3">

<?php

$theDate = & JFactory::getDate($cal_date);


switch ($cur_view)
{
	case 1:
		foreach ($this->items AS $item)
			$_items[$item->ctime->toFormat('%H')][] = $item;
			
		$title = $theDate->toFormat('%A').', '.$theDate->toFormat('%e').' '.$theDate->toFormat('%b %Y');
		// $title = date('l jS \of F Y', $cal_date);
		echo cal_display_title($title, $this->params->get('client')); 
		?>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" summary="<?php echo JText::_('Day Calendar') ?>">
		  <tr class="sectiontableheader">
		    <th class="sectiontableheader" width="90px"><?php echo JText::_('Hour') ?></th>
		    <th class="sectiontableheader"><?php echo JText::_('Events') ?></th>
		  </tr>
		  <?php $row = 0; for($h=0; $h<=23; $h++): ?>
			  <tr class="sectiontableentry<?php echo $row + 1; ?>" valign="top">
			    <td class="calendar_hour"><?php printf('%0.1d', $h) ?>:00</td>
			    <td>
			    <?php 
					if(@$_items[$h])
					{
						foreach($_items[$h] AS $item)
						{
							$item->ntitle = str_replace('<a ', '<a rel="'.$item->id.'"', $item->ntitle);
							$item->ntitle = str_replace('class="contentpagetitle"', 'class="contentpagetitle hasTip2"', $item->ntitle);
							
							echo cal_event_body($item, 	$this);
							echo cal_list_item($item, 	$this);
						}
						echo '</ul>';
					}
			    ?>
			    </td>
			  </tr>
		  <?php $row = 1 - $row; endfor; ?>
		</table>
		<?php
		break;
	case 2:
		$first_day ? $week = '%W' : $week = '%U';
		foreach ($this->items AS $item)
		{
			$_items[$item->ctime->toFormat('%A')][] = $item;
		}
		$day_of_week = strftime('%w', $cal_date);
		if($first_day == 1) $day_of_week--;
		$start_day = mktime(0,0,0, date('n', $cal_date), (date('d', $cal_date) - $day_of_week), date('Y', $cal_date));
		
		$start_day_date = JFactory::getDate($start_day);
		?>
		<?php 
		
		// date('Y, F', $start_day);
		echo cal_display_title(strftime($week, $start_day).' '.JText::_('Week of the year').' '.$start_day_date->toFormat('%Y, %B'), $this->params->get('client')); 
		
		?>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" summary="<?php echo JText::_('Day Calendar') ?>">
		  <tr class="sectiontableheader">
		    <th class="sectiontableheader" width="50px"><?php echo JText::_('Day') ?></th>
		    <th class="sectiontableheader"><?php echo JText::_('Events') ?></th>
		  </tr>
		  <?php $row = 0; for($w=0; $w<7; $w++): ?>
		  	<?php
		  	$date = new JDate((int)mktime(0,0,0, date('n', $start_day), (date('d', $start_day) + $w), date('Y', $start_day)));
		  	?>
			  <tr class="sectiontableentry<?php echo $row + 1; ?>" valign="top">
			    <td class="calendar_hour"><?php echo $date->toFormat('%A'); ?><br />
			    <span class="small" style="font-size: 11px;"><?php echo $date->toFormat('%d %B'); ?></span> </td>
			    <td>
			    <?php 
					if(@$_items[$date->toFormat('%A')])
					{
						$c = 0;
						echo '<ul>';
						foreach($_items[$date->toFormat('%A')] AS $item)
						{
							$c++;
							if ($c > $this->params->get('tpl_cal_limit')) 
								break;
								
							$item->ntitle = str_replace('<a ', '<a rel="'.$item->id.'"', $item->ntitle);
							$item->ntitle = str_replace('class="contentpagetitle"', 'class="contentpagetitle hasTip2"', $item->ntitle);
							
							echo cal_event_body($item, 	$this);
							echo cal_list_item($item, 	$this);
						}
						echo '</ul>';
						if(count($_items[$date->toFormat('%A')]) > $this->params->get('tpl_cal_limit'))
						{
							$link = 'document.adminForm.cal_view.value=1; document.adminForm.cal_date.value='.$date->toUnix().'; document.adminForm.submit();';
							echo '<p><a class="readon" href="javascript:void(0);" onclick="'.$link.'">'.JText::_('See all day events').'</a></p>';
						}
					}
			    ?>
			    </td>
			  </tr>
		  <?php $row = 1 - $row; endfor; ?>
		</table>
		
		<?php
		break;
	case 3:
		?>
		<?php
			$month_name = cal_get_month_name(date('n', $cal_date)); 
			echo cal_display_title(date('Y', $cal_date).', '.$month_name, $this->params->get('client')); 
		?>
		<?php
		echo generate_calendar($cal_date, 15, (int)$first_day, $_items, "calendar_big", 0, $this);
		break;
	case 4:
		?>
<table cellpadding="2" cellspacing="2" border="0">
  <tr valign="top">
    <td><?php echo generate_calendar($cal_date, 3, (int)$first_day, $_items, 'calendar_middle', 0, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 3, (int)$first_day, $_items, 'calendar_middle', 1, $this); ?></td>
  </tr>
</table>

		<?php
		break;
	case 7:
		?>
<table cellpadding="2" cellspacing="2" border="0">
  <tr valign="top">
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 0, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 1, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 2, $this); ?></td>
  </tr>
</table>

		<?php
		break;
	case 5:
		?>
<table cellpadding="2" cellspacing="2" border="0">
  <tr valign="top" align="center">
    <td><?php echo generate_calendar($cal_date, 3, (int)$first_day, $_items, 'calendar_middle', 0, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 3, (int)$first_day, $_items, 'calendar_middle', 1, $this); ?></td>
  </tr>
  <tr valign="top" align="center">
    <td><?php echo generate_calendar($cal_date, 3, (int)$first_day, $_items, 'calendar_middle', 2, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 3, (int)$first_day, $_items, 'calendar_middle', 3, $this); ?></td>
  </tr>
</table>
		
		<?php
		break;
	case 6:
		?>
<table cellpadding="2" cellspacing="2" border="0">
  <tr valign="top">
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 0, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 1, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 2, $this); ?></td>
  </tr>
  <tr valign="top">
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 3, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 4, $this); ?></td>
    <td><?php echo generate_calendar($cal_date, 1, (int)$first_day, $_items, 'calendar_small', 5, $this); ?></td>
  </tr>
</table>
		
		<?php
		break;
}

?>
		</td>
	</tr>
</table>

<input type="hidden" name="cal_view" value="<?php echo JRequest::getInt('cal_view', $cur_view); ?>" />
<input type="hidden" name="cal_date" value="<?php echo JRequest::getInt('cal_date', $cal_date); ?>" />
<?php return; ?>
